Update custom field by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "some string"
}
'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId}"
payload = { "name": "some string" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'some string'})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Custom Fields
Update custom field by ID
PUT
/
custom-fields
/
{customfieldId}
Update custom field by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "some string"
}
'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId}"
payload = { "name": "some string" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'some string'})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Body raw (json)
{
"name": "some string",// required | string | max:255
"position": 0,// numeric
"permission": "1,2,3",// string | max:255 | description: commaseparated string of user rules, for example 1,2,3
"is_active": true,// boolean
"object": "customer",// string | acceptable_values: customer,job,project,invoice,asset,job_visit,maintenance_agreement,order | description: the type of custom field
"can_customer_view": true,// boolean
"field_widget_id": 1,// integer | existing custom field widget id
"settings": {// array
"field_instance_id": 1,// required | existing custom field instance id
"allowed_values": ["value_1", "value_2"],// nullable | array
"default_value": "value_1"// nullable | array
}
}
Authorizations
Path Parameters
Body
application/json
Maximum string length:
255Comma-separated string of user rules, for example 1,2,3.
Maximum string length:
255The type of custom field.
Available options:
customer, job, project, invoice, asset, job_visit, maintenance_agreement, order Existing custom field widget id.